Subject: The card ending in 8943 has been linked to your account
From: Cash App <[email-masked]>
To: [email-masked]
Date: Thu, 7 May 2026 15:55:32 +0000

The card ending in 8943 has been linked to your Cash account.

Not you? Turn on security lock and contact customer support.